geos::io::WKTReader Class Reference

WKT parser class; see also WKTWriter. More...

`#include <WKTReader.h>`

## Public Member Functions

| WKTReader (const geom::GeometryFactory &gf)
| Initialize parser with given GeometryFactory.
| WKTReader (const geom::GeometryFactory *gf)
| WKTReader ()
| Initialize parser with default GeometryFactory.
void | setFixStructure (bool doFixStructure)
template<typename T>
std::unique_ptr< T > | read (const std::string &wkt) const
| Parse a WKT string returning a Geometry.
std::unique_ptr< geom::Geometry > | read (const std::string &wellKnownText) const

## Protected Member Functions

std::unique_ptr< geom::CoordinateSequence > | getCoordinates (io::StringTokenizer *tokenizer, OrdinateSet &ordinates) const
std::unique_ptr< geom::Geometry > | readGeometryTaggedText (io::StringTokenizer *tokenizer, OrdinateSet &ordinateFlags, const geom::GeometryTypeId *emptyType=nullptr) const
std::unique_ptr< geom::Point > | readPointText (io::StringTokenizer *tokenizer, OrdinateSet &ordinateFlags) const
std::unique_ptr< geom::LineString > | readLineStringText (io::StringTokenizer *tokenizer, OrdinateSet &ordinateFlags) const
std::unique_ptr< geom::LinearRing > | readLinearRingText (io::StringTokenizer *tokenizer, OrdinateSet &ordinateFlags) const
std::unique_ptr< geom::MultiPoint > | readMultiPointText (io::StringTokenizer *tokenizer, OrdinateSet &ordinateFlags) const
std::unique_ptr< geom::Polygon > | readPolygonText (io::StringTokenizer *tokenizer, OrdinateSet &ordinateFlags) const
std::unique_ptr< geom::MultiLineString > | readMultiLineStringText (io::StringTokenizer *tokenizer, OrdinateSet &ordinateFlags) const
std::unique_ptr< geom::MultiPolygon > | readMultiPolygonText (io::StringTokenizer *tokenizer, OrdinateSet &ordinateFlags) const
std::unique_ptr< geom::GeometryCollection > | readGeometryCollectionText (io::StringTokenizer *tokenizer, OrdinateSet &ordinateFlags) const
std::unique_ptr< geom::CircularString > | readCircularStringText (io::StringTokenizer *tokenizer, OrdinateSet &ordinateFlags) const
std::unique_ptr< geom::CompoundCurve > | readCompoundCurveText (io::StringTokenizer *tokenizer, OrdinateSet &ordinateFlags) const
std::unique_ptr< geom::CurvePolygon > | readCurvePolygonText (io::StringTokenizer *tokenizer, OrdinateSet &ordinateFlags) const
std::unique_ptr< geom::MultiCurve > | readMultiCurveText (io::StringTokenizer *tokenizer, OrdinateSet &ordinateFlags) const
std::unique_ptr< geom::MultiSurface > | readMultiSurfaceText (io::StringTokenizer *tokenizer, OrdinateSet &ordinateFlags) const
std::unique_ptr< geom::Curve > | readCurveText (io::StringTokenizer *tokenizer, OrdinateSet &ordinateFlags) const
| Read the contents of a LINEARRING, LINESTRING, CIRCULARSTRING, or COMPOUNDCURVE.
std::unique_ptr< geom::Geometry > | readSurfaceText (io::StringTokenizer *tokenizer, OrdinateSet &ordinateFlags) const
| Read the contents of a POLYGON or a CURVEPOLYGON.

## Static Protected Member Functions

static double | getNextNumber (io::StringTokenizer *tokenizer)
static std::string | getNextEmptyOrOpener (io::StringTokenizer *tokenizer, OrdinateSet &dim)
static std::string | getNextCloserOrComma (io::StringTokenizer *tokenizer)
static std::string | getNextCloser (io::StringTokenizer *tokenizer)
static std::string | getNextWord (io::StringTokenizer *tokenizer)

## Detailed Description

WKT parser class; see also WKTWriter.

## Constructor & Destructor Documentation

## WKTReader() [1/2]

geos::io::WKTReader::WKTReader | ( | const geom::GeometryFactory & | gf | ) |

inline explicit

Initialize parser with given GeometryFactory.

Note that all Geometry objects created by the parser will contain a pointer to the given factory so be sure you'll keep the factory alive for the whole WKTReader and created Geometry life.

## WKTReader() [2/2]

geos::io::WKTReader::WKTReader | ( | const geom::GeometryFactory * | gf | ) |

inline explicit

Deprecated
  in 3.4.0

The documentation for this class was generated from the following file:

- WKTReader.h